Loading ...
Sorry, an error occurred while loading the content.

Re: [Bulk] Re: [libertybasic] FormWords

Expand Messages
  • Henrik
    Yes Stefan but is it possible to make the LB code excitable on 64-bit O/S and run it on 32-bit O/S Or maybe he did it excitable on XP and I run it on win 7.
    Message 1 of 9 , Mar 7, 2013
    • 0 Attachment
      Yes Stefan
      but is it possible to make the LB code excitable on 64-bit O/S and run it on
      32-bit O/S
      Or maybe
      he did it excitable on XP and I run it on win 7.
      The   error message I
      get is the following:
      “The version of the file is not compatible with
      version of windows you are running. Check your computer’s system information to
      see whether you need an x86(32-bit) or x64(64-bit) version of the program, and then
      contact the software publisher.”
       
      I am running Liberty BASIC v 4.03 on win 7 32-bit.
      Thank you


      ________________________________
      From: Stefan Pendl <pendl2megabit@...>
      To: libertybasic@yahoogroups.com
      Sent: Thursday, March 7, 2013 11:04 PM
      Subject: Re: [Bulk] Re: [libertybasic] FormWords


       
      Am 07.03.2013 19:04, schrieb Henrik:
      > Hello Mike
      > It doesn’t work on win 7 32-bit.
      > Maybe; you have done it on 64-bit
      > operation system!
      >

      Liberty BASIC is 32-bit so it should not matter what O/S architecture
      you are running this on.

      What is the error message you get?

      --
      Stefan Pendl
      http://stefanpendl.runbasichosting.com/

      LB 4.04 Pro ... http://www.libertybasic.com/assist.html
      LB 4.04 ....... http://www.libertybasic.com/lb404setup.exe

      LB Community Wiki .............. http://basic.wikispaces.com/
      LB Programmer's Encyclopedia ... http://lbpe.wikispaces.com/
      LB Bug Tracker ................. http://libertybasicbugs.wikispaces.com/

      Books at http://www.lulu.com/ and http://www.amazon.com/
      Alyce Watson ... APIs for Liberty BASIC
      Carl Gundel .... Beginning Programming with Liberty BASIC

      Windows 7 Home Premium 64-bit SP1
      AMD Turion X2 RM-70 2GHz, 4GB RAM



      [Non-text portions of this message have been removed]
    • Jim Hiley
      It will make no difference which version of LB you are running but you should upgrade to V4.04 for better compatibility with Windows 7 for your programs. It
      Message 2 of 9 , Mar 7, 2013
      • 0 Attachment
        It will make no difference which version of LB you are running but you
        should upgrade to V4.04 for better compatibility with Windows 7 for your
        programs.

        It makes no difference if you are creating your applications on 32 bit or 64
        bit operating systems. The resulting application is 32 bit and should run on
        both.

        I can run the program as is on 64 bit but the same error occurs with W7 32
        bit.
        The problem is with the self-extracting archive and not the actual program.

        I was able to manually extract the program and run it successfully on W7 32
        bit.


        Jim

        -----Original Message-----
        From: libertybasic@yahoogroups.com [mailto:libertybasic@yahoogroups.com] On
        Behalf Of Henrik
        Sent: Friday, 8 March 2013 09:49
        To: libertybasic@yahoogroups.com
        Subject: Re: [Bulk] Re: [libertybasic] FormWords

        Yes Stefan
        but is it possible to make the LB code excitable on 64-bit O/S and run it on
        32-bit O/S
        Or maybe
        he did it excitable on XP and I run it on win 7.
        The   error message I
        get is the following:
        “The version of the file is not compatible with
        version of windows you are running. Check your computer’s system information
        to
        see whether you need an x86(32-bit) or x64(64-bit) version of the program,
        and then
        contact the software publisher.”
         
        I am running Liberty BASIC v 4.03 on win 7 32-bit.
        Thank you


        ________________________________
        From: Stefan Pendl <pendl2megabit@...>
        To: libertybasic@yahoogroups.com
        Sent: Thursday, March 7, 2013 11:04 PM
        Subject: Re: [Bulk] Re: [libertybasic] FormWords


         
        Am 07.03.2013 19:04, schrieb Henrik:
        > Hello Mike
        > It doesn’t work on win 7 32-bit.
        > Maybe; you have done it on 64-bit
        > operation system!
        >

        Liberty BASIC is 32-bit so it should not matter what O/S architecture
        you are running this on.

        What is the error message you get?

        --
        Stefan Pendl
        http://stefanpendl.runbasichosting.com/

        LB 4.04 Pro ... http://www.libertybasic.com/assist.html
        LB 4.04 ....... http://www.libertybasic.com/lb404setup.exe

        LB Community Wiki .............. http://basic.wikispaces.com/
        LB Programmer's Encyclopedia ... http://lbpe.wikispaces.com/
        LB Bug Tracker ................. http://libertybasicbugs.wikispaces.com/

        Books at http://www.lulu.com/ and http://www.amazon.com/
        Alyce Watson ... APIs for Liberty BASIC
        Carl Gundel .... Beginning Programming with Liberty BASIC

        Windows 7 Home Premium 64-bit SP1
        AMD Turion X2 RM-70 2GHz, 4GB RAM
      • Sarmed N.
        Thank you Mike to be active, For me the exe is broken on both Win7 32bit LB404 or XP 32bit LB403, maybe the upload cause that, or it is broken! The same win7
        Message 3 of 9 , Mar 7, 2013
        • 0 Attachment
          Thank you Mike to be active,
          For me the exe is broken on both Win7 32bit LB404 or
          XP 32bit LB403, maybe the upload cause that, or it is broken!
          The same win7 error message, and this is not 32bit file message
          with winXP.


          ________________________________
          From: green8819 <mike4612@...>
          To: libertybasic@yahoogroups.com
          Sent: Thursday, March 7, 2013 5:09 PM
          Subject: [libertybasic] FormWords


           
          Here is another 'pride of my pack'.
          Check out "FormWords.exe", Files page.




          [Non-text portions of this message have been removed]
        • green8819
          This single-file exe was created using IEXPRESS on my 64-bit W7. The exe runs fine on my machine. I tried on somebody s 32-bit W7. It won t run. I tried on my
          Message 4 of 9 , Mar 7, 2013
          • 0 Attachment
            This single-file exe was created using IEXPRESS on my 64-bit W7.
            The exe runs fine on my machine.
            I tried on somebody's 32-bit W7. It won't run.
            I tried on my XP. It won't run.
            Too bad. But it was nice to see a single-file exe.

            I suppose I have to create the exe on a 32-bit and XP separately. Those interested can try IEXPRESS on their machines. You can find it in Widows\System32.

            Before that, check out old posts on how to create a single-file LB app using IEXPRESS.

            Before that, the standalone has to be created first using LB's "Create Application" feature. Only then IEXPRESS can be used.

            A standalone can run on XP, Vista, 32-bit W7 and 64-bit W7. It can run without LB installed on the computer. The only setback is, it consists of at least 10 files.

            I have posted the standalone for this program. Files page, "FW.zip". Comments welcome.

            (Sarmed, I have not read your post yet)
          • Sarmed N.
            I test the first upload (one file exe) on WinXP 64bit it works fine, also with Win7-64bit. REGARDS ________________________________ From: green8819
            Message 5 of 9 , Mar 7, 2013
            • 0 Attachment
              I test the first upload (one file exe) on WinXP
              64bit it works fine, also with Win7-64bit.

              REGARDS


              ________________________________
              From: green8819 <mike4612@...>
              To: libertybasic@yahoogroups.com
              Sent: Friday, March 8, 2013 8:17 AM
              Subject: [libertybasic] Re:FormWords


               
              This single-file exe was created using IEXPRESS on my 64-bit W7.
              The exe runs fine on my machine.
              I tried on somebody's 32-bit W7. It won't run.
              I tried on my XP. It won't run.
              Too bad. But it was nice to see a single-file exe.

              I suppose I have to create the exe on a 32-bit and XP separately. Those interested can try IEXPRESS on their machines. You can find it in Widows\System32.

              Before that, check out old posts on how to create a single-file LB app using IEXPRESS.

              Before that, the standalone has to be created first using LB's "Create Application" feature. Only then IEXPRESS can be used.

              A standalone can run on XP, Vista, 32-bit W7 and 64-bit W7. It can run without LB installed on the computer. The only setback is, it consists of at least 10 files.

              I have posted the standalone for this program. Files page, "FW.zip". Comments welcome.

              (Sarmed, I have not read your post yet)




              [Non-text portions of this message have been removed]
            • Henrik
               I don’t have any problem with LB v4.03 concerning compatibility with win 7 for all programs. I prefer LB v4.03 because the help file is *. HLP, so
              Message 6 of 9 , Mar 8, 2013
              • 0 Attachment
                 I don’t have any
                problem with LB v4.03 concerning
                compatibility with win 7 for all programs. I prefer LB v4.03 because the help
                file is *. HLP, so searching thru will be very easy, while the help file of LB v4.04 is html and the searching thru is a bit difficult 
                You are right Jim when you said; the problem is with the self-extracting archive and not the actual
                program.
                For  “self-extracting
                archive”, I use winzip instead of iexpress, it might be better, I will try to
                do something similar and upload it to the file section to see the result.
                 

                ________________________________
                From: Jim Hiley <jim@...>
                To: libertybasic@yahoogroups.com
                Sent: Friday, March 8, 2013 2:58 AM
                Subject: RE: [Bulk] Re: [libertybasic] FormWords


                 
                It will make no difference which version of LB you are running but you
                should upgrade to V4.04 for better compatibility with Windows 7 for your
                programs.

                It makes no difference if you are creating your applications on 32 bit or 64
                bit operating systems. The resulting application is 32 bit and should run on
                both.

                I can run the program as is on 64 bit but the same error occurs with W7 32
                bit.
                The problem is with the self-extracting archive and not the actual program.

                I was able to manually extract the program and run it successfully on W7 32
                bit.

                Jim

                -----Original Message-----
                From: libertybasic@yahoogroups.com [mailto:libertybasic@yahoogroups.com] On
                Behalf Of Henrik
                Sent: Friday, 8 March 2013 09:49
                To: libertybasic@yahoogroups.com
                Subject: Re: [Bulk] Re: [libertybasic] FormWords

                Yes Stefan
                but is it possible to make the LB code excitable on 64-bit O/S and run it on
                32-bit O/S
                Or maybe
                he did it excitable on XP and I run it on win 7.
                The   error message I
                get is the following:
                “The version of the file is not compatible with
                version of windows you are running. Check your computer’s system information
                to
                see whether you need an x86(32-bit) or x64(64-bit) version of the program,
                and then
                contact the software publisher.”
                 
                I am running Liberty BASIC v 4.03 on win 7 32-bit.
                Thank you

                ________________________________
                From: Stefan Pendl <pendl2megabit@...>
                To: libertybasic@yahoogroups.com
                Sent: Thursday, March 7, 2013 11:04 PM
                Subject: Re: [Bulk] Re: [libertybasic] FormWords


                 
                Am 07.03.2013 19:04, schrieb Henrik:
                > Hello Mike
                > It doesn’t work on win 7 32-bit.
                > Maybe; you have done it on 64-bit
                > operation system!
                >

                Liberty BASIC is 32-bit so it should not matter what O/S architecture
                you are running this on.

                What is the error message you get?

                --
                Stefan Pendl
                http://stefanpendl.runbasichosting.com/

                LB 4.04 Pro ... http://www.libertybasic.com/assist.html
                LB 4.04 ....... http://www.libertybasic.com/lb404setup.exe

                LB Community Wiki .............. http://basic.wikispaces.com/
                LB Programmer's Encyclopedia ... http://lbpe.wikispaces.com/
                LB Bug Tracker ................. http://libertybasicbugs.wikispaces.com/

                Books at http://www.lulu.com/ and http://www.amazon.com/
                Alyce Watson ... APIs for Liberty BASIC
                Carl Gundel .... Beginning Programming with Liberty BASIC

                Windows 7 Home Premium 64-bit SP1
                AMD Turion X2 RM-70 2GHz, 4GB RAM




                [Non-text portions of this message have been removed]
              Your message has been successfully submitted and would be delivered to recipients shortly.